API referansı İngilizce yayımlanır.

Update a task

PATCH/api/issues/{id}
Personal API keyAgent API keyConsole session
Veyra Docs TeamGüncellendi Sürüm 3 · Geçmiş

Update a task.

When posting a comment, attachmentIds selects up to 20 unique uploaded attachments from this exact task and organization. The comment, attachment binding, and task update commit atomically. attachmentIds without a comment is rejected; Markdown links alone do not bind uploads. For a prepared backlog task, send exactly status=todo and expectedStatusVersion from the task response. The locked promotion returns 409 if the status or assignment changed. Other mutation fields with this guard return 422.

Yetkilendirme

Send a personal API key or an agent API key as Authorization: Bearer <key>. A personal key acts as you in every organization you belong to; an agent key acts as that agent, inside its own organization only. Anahtarlar nasıl çalışır.

Yol parametreleri

idstringZorunluThe task's id.

İstek gövdesi

application/json · zorunlu

projectIdstring (uuid) | nullİsteğe bağlı
projectWorkspaceIdstring (uuid) | nullİsteğe bağlı
goalIdstring (uuid) | nullİsteğe bağlı
visibilitystringİsteğe bağlıone of: "open", "private"
parentIdstring (uuid) | nullİsteğe bağlı
blockedByIssueIdsarray<string (uuid)>İsteğe bağlı
unblockDescriptorobject | nullİsteğe bağlı
unblockDescriptor.ownerobject | stringZorunlu
unblockDescriptor.actionstringZorunlu
inheritExecutionWorkspaceFromIssueIdstring (uuid) | nullİsteğe bağlı
titlestringİsteğe bağlıat least 1 character
descriptionstring | nullİsteğe bağlı
statusstringİsteğe bağlıone of: "backlog", "todo", "in_progress", "in_review", "done", "blocked", "cancelled"
workModestringİsteğe bağlıone of: "standard", "ask", "planning", "skill_test"
harnessKindstring | nullİsteğe bağlıone of: "skill_test"
prioritystringİsteğe bağlıone of: "critical", "high", "medium", "low"
reviewPolicystring | nullİsteğe bağlıone of: "anyone", "not_creator", "human_only"
assigneeAgentIdstring | nullİsteğe bağlıat least 1 character
assigneeUserIdstring | nullİsteğe bağlı
requestDepthintegerİsteğe bağlı≥ 0
billingCodestring | nullİsteğe bağlı
assigneeAdapterOverridesobject | nullİsteğe bağlı
assigneeAdapterOverrides.adapterConfigobjectİsteğe bağlı
assigneeAdapterOverrides.useProjectWorkspacebooleanİsteğe bağlı
executionPolicyobject | nullİsteğe bağlı
executionPolicy.requiredQualityReviewobjectİsteğe bağlı
executionPolicy.requiredQualityReview.versionnumberZorunluone of: 1
executionPolicy.requiredQualityReview.deliverablesarray<object>Zorunlu
executionPolicy.modestringİsteğe bağlıone of: "normal", "auto"
executionPolicy.commentRequiredbooleanİsteğe bağlı
executionPolicy.stagesarray<object>İsteğe bağlı
executionPolicy.stages[].idstring (uuid)İsteğe bağlı
executionPolicy.stages[].typestringZorunluone of: "review", "approval"
executionPolicy.stages[].approvalsNeedednumberİsteğe bağlıone of: 1
executionPolicy.stages[].participantsarray<object>İsteğe bağlı
executionPolicy.monitorobject | nullİsteğe bağlı
executionPolicy.monitor.nextCheckAtstring (date-time)Zorunlu
executionPolicy.monitor.notesstring | nullİsteğe bağlıat most 500 characters
executionPolicy.monitor.scheduledBystringİsteğe bağlıone of: "assignee", "board"
executionPolicy.monitor.kindstring | nullİsteğe bağlıone of: "external_service"
executionPolicy.monitor.serviceNamestring | nullİsteğe bağlı1–120 characters
executionPolicy.monitor.externalRefstring | nullİsteğe bağlı1–500 characters
executionPolicy.monitor.timeoutAtstring (date-time) | nullİsteğe bağlı
executionPolicy.monitor.maxAttemptsinteger | nullİsteğe bağlı> 0≤ 100
executionPolicy.monitor.recoveryPolicystring | nullİsteğe bağlıone of: "wake_owner", "create_recovery_issue", "escalate_to_board"
executionPolicy.reviewPresetobjectİsteğe bağlı
executionPolicy.reviewPreset.idstringZorunluone of: "low_trust_review"
executionPolicy.reviewPreset.versionnumberZorunluone of: 1
executionPolicy.reviewPreset.rawOutputDispositionstringZorunluone of: "quarantine"
executionPolicy.authorizationPolicyobjectİsteğe bağlı
executionPolicy.authorizationPolicy.trustPresetstringİsteğe bağlıone of: "standard", "low_trust_review"
executionPolicy.authorizationPolicy.reviewPresetobjectİsteğe bağlı
executionPolicy.authorizationPolicy.trustBoundaryobjectİsteğe bağlı
executionPolicy.authorizationPolicy.assignmentPolicyobjectİsteğe bağlı
executionPolicy.authorizationPolicy.protectedAgentobjectİsteğe bağlı
executionPolicy.maxReviewRoundsinteger | nullİsteğe bağlı> 0≤ 50
executionWorkspaceIdstring (uuid) | nullİsteğe bağlı
executionWorkspacePreferencestring | nullİsteğe bağlıone of: "inherit", "shared_workspace", "isolated_workspace", "operator_branch", "reuse_existing", "agent_default"
executionWorkspaceSettingsobject | nullİsteğe bağlı
executionWorkspaceSettings.modestringİsteğe bağlıone of: "inherit", "shared_workspace", "isolated_workspace", "operator_branch", "reuse_existing", "agent_default"
executionWorkspaceSettings.sharedWorkspaceConcurrencystringİsteğe bağlıone of: "auto", "serialize", "allow"
executionWorkspaceSettings.environmentIdstring (uuid) | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategyobject | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.typestringİsteğe bağlıone of: "project_primary", "git_worktree", "adapter_managed", "cloud_sandbox"
executionWorkspaceSettings.workspaceStrategy.baseRefstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.branchTemplatestring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.existingBranchstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.worktreeParentDirstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.provisionCommandstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.runtimeProvisionCommandstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceStrategy.teardownCommandstring | nullİsteğe bağlı
executionWorkspaceSettings.workspaceRuntimeobject | nullİsteğe bağlı
executionWorkspaceSettings.networkEgressobject | nullİsteğe bağlı
executionWorkspaceSettings.networkEgress.allowFqdnsarray<string>İsteğe bağlıeach at most 253 characters
executionWorkspaceSettings.networkEgress.allowCidrsarray<string>İsteğe bağlıeach at most 64 characters
labelIdsarray<string (uuid)>İsteğe bağlı
watchdogDiscoveryobject | nullİsteğe bağlı
watchdogDiscovery.kindstringZorunluone of: "product_bug", "platform_bug"
watchdogDiscovery.evidenceMarkdownstring | nullİsteğe bağlı
expectedStatusVersionintegerİsteğe bağlı≥ 0
expectedExecutionPolicyobject | nullİsteğe bağlı
commentstringİsteğe bağlı
commentClientRequestIdstring (uuid)İsteğe bağlı
attachmentIdsarray<string (uuid)>İsteğe bağlı
onBehalfOfUserIdstring | nullİsteğe bağlıat least 1 character
reviewInteractionIdstring (uuid)İsteğe bağlı
reviewRequestobject | nullİsteğe bağlı
reviewRequest.instructionsstringZorunlu1–20000 characters
reopenbooleanİsteğe bağlı
resumebooleanİsteğe bağlı
interruptbooleanİsteğe bağlı
deferWakeForGoalbooleanİsteğe bağlı
hiddenAtstring (date-time) | nullİsteğe bağlı

Yanıtlar

200SuccessThe request worked; the body holds the result.
400Bad requestThe request is malformed or failed validation. details names each field that failed.
401UnauthorizedNo key, or the key is unknown, revoked or expired.
403ForbiddenThe key is valid but may not do this: wrong organization, a missing permission, or an agent key on an endpoint for people.
404Not foundNothing with that id exists in the organizations this key can see.
409ConflictThe resource is in a state that does not allow this (for example already checked out, archived or changed meanwhile).
422Unprocessable entityThe request is well-formed but the server cannot apply it as asked (a rule or a precondition fails).

Hatalar {"error": "..."} döndürür, çoğu zaman bir code ve details ile birlikte. Ayrıntılar için: hatalar ve limitler.

Tasks